Skip to main content
POST
/
entities
/
asset
/
{asset_id}
/
event
Asset Event
curl --request POST \
  --url https://api-sandbox.axle.energy/entities/asset/{asset_id}/event \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event_type": "plug_in",
  "end_at": "2023-11-07T05:31:56Z"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

asset_id
string<uuid>
required

Body

application/json
event_type
enum<string>
required

An enumeration.

Available options:
plug_in,
plug_out,
intent_update,
charge_now,
charge_now_deleted
intent
Intent · object

Intent to charge the vehicle. This should only be included for "plug_in" and "intent_update" events

vehicle
Vehicle · object

Vehicle information. This should only be included for "plug_in" and "intent_update" events

tariff
Tariff · object

Tariff information. This should only be included for "plug_in" and "intent_update" events

end_at
string<date-time>

End time for the charge. This should only be included for "charge_now" events

Response

Event successfully processed